<!-- ..................................................... -->
<!-- Genealogy Family DTD  ............................... -->
<!-- file: family.mod

     This DTD module describes a FAMILY element intended for
     use in family tree documents. It was developed as an
     example for Chapter 25 of the XML Bible, 3rd Edition, by
     Elliotte Rusty Harold (elharo@metalab.unc.edu)
     Published by Wiley 2004. ISBN 0-7645-4986-3.

     This DTD is placed in the public domain. Please 
     feel free to use it or adapt it in any way you like.

     This DTD is identified by the PUBLIC and SYSTEM
     identifiers:

     PUBLIC "-//ERH//Genealogy Family Module 1.0//EN"
     SYSTEM "family.mod"

     All the elements declared in this DTD are in the
     http://ns.cafeconleche.org/genealogy/ namespace.
     No prefix is used. The attributes are in no namespace.

     It is not a formal standard, and has not been considered
     or approved by any standards body.

     ..................................................... -->

<!-- FAMILY is the root element of documents that use this
     DTD. However, it is more intended to be used as a part
     of larger XML applications which would contain multiple
     FAMILY elements in a single document. -->

<!-- A FAMILY can consist of as little as one person  -->
<!ELEMENT %FAMILY.qname; (%REFERENCE.qname;*, %HUSBAND.qname;?,
   %WIFE.qname;?, %CHILD.qname;*, MARRIAGE.qname;*,
   %DIVORCE.qname;*, %NOTE.qname;*)>
<!ATTLIST  %FAMILY.qname; ID ID #REQUIRED>

<!-- HUSBAND and WIFE are used here for legacy reasons.
     They should not be taken to imply anything about
     marital state of the parties.  -->
<!-- HUSBAND, WIFE, and CHILD are all EMPTY elements that
     point to a PERSON element by matching its ID.  -->
<!ELEMENT  %HUSBAND.qname;  EMPTY>
<!ATTLIST  %HUSBAND.qname;  %personref;>
<!ELEMENT  %WIFE.qname;     EMPTY>
<!ATTLIST  %WIFE.qname;     %personref;>
<!ELEMENT  %CHILD.qname;    EMPTY>
<!ATTLIST  %CHILD.qname;    %personref;>
<!ELEMENT  %DIVORCE.qname;  %event;>
<!ELEMENT  %MARRIAGE.qname; %event;>

